GET
/
v1
/
presets
/
{slug}
Retrieve a public policy preset
curl --request GET \
  --url https://sandbox.authbound.io/v1/presets/{slug}
{
  "id": "age_over_18",
  "object": "policy_preset",
  "name": "Age Verification (18+)",
  "description": "<string>",
  "icon": "shield-check",
  "claims_preview": [
    "age_over_18"
  ],
  "required_fields": [
    "age_over_18"
  ],
  "optional_fields": [
    "<string>"
  ],
  "default_purpose": "To verify that you are at least 18 years old",
  "use_cases": [
    "alcohol_sales",
    "gambling",
    "adult_content"
  ],
  "is_featured": true,
  "policy_id": "pol_age_over_18_authbound_v1",
  "field_descriptions": {},
  "return_attributes": [
    "<string>"
  ],
  "tagline": "Simple age gate for adult content"
}

Path Parameters

slug
string
required

Preset slug, such as age_over_18 or identity_basic

Pattern: ^[a-z0-9_]+$

Response

Public preset detail

id
string
required

Stable preset slug

Example:

"age_over_18"

object
enum<string>
required
Available options:
policy_preset
name
string
required
Example:

"Age Verification (18+)"

description
string
required
category
enum<string>
required
Available options:
age_verification,
identity,
driving_license,
address,
health,
financial,
custom
icon
string
required

UI icon name

Example:

"shield-check"

claims_preview
string[]
required
Example:
["age_over_18"]
required_fields
string[]
required
Example:
["age_over_18"]
optional_fields
string[]
required
default_purpose
string
required
Example:

"To verify that you are at least 18 years old"

use_cases
string[]
required
Example:
[
"alcohol_sales",
"gambling",
"adult_content"
]
policy_id
string
required

Concrete policy ID to use when creating verifications

Example:

"pol_age_over_18_authbound_v1"

field_descriptions
object
required
return_attributes
string[]
required
tagline
string | null
Example:

"Simple age gate for adult content"